import BlogLists from "@components/top-level/blog-lists";
import Pagination from "@components/top-level/pagination";
import { getPosts, getPostsBySearch } from "@lib/api";
import styles from "./page.module.css";

const Home = async ({ searchParams }) => {
  let blogs;
  let pageNo = searchParams.page || 1;
  let search = searchParams.search;

  if ("search" in searchParams) {
    if (search !== "") {
      blogs = await getPostsBySearch("posts", pageNo, search);
    } else {
      blogs.data.length = 0;
    }
  } else {
    blogs = await getPosts("posts", pageNo);
  }

  return (
    <div className={styles.container}>
      {blogs.data?.length ? (
        <div>
          <BlogLists
            title="Lifestyle"
            description="Lorem ipsum dolor sit amet elit. Id quaerat amet ipsum sunt et quos dolorum."
            blogs={blogs.data}
          />
          <div className={styles.pagination}>
            <Pagination
              currentPage={Number(pageNo)}
              total={Number(blogs.total)}
              perPage={6}
              search={search}
            />
          </div>
        </div>
      ) : (
        <h2 className="center">No data found</h2>
      )}
    </div>
  );
};

export default Home;
